Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233704 - CVE-2007-1463, CVE-2007-1464: inkscape < 0.45.1 vulnerabilities
Summary: CVE-2007-1463, CVE-2007-1464: inkscape < 0.45.1 vulnerabilities
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 21:19 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-25 12:39:54 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-03-23 21:19:09 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1463
"Format string vulnerability in Inkscape before 0.45.1 allows user-assisted
remote attackers to execute arbitrary code via format string specifiers in a
URI, which is not properly handled by certain dialogs."

http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1464
"Format string vulnerability in the whiteboard Jabber protocol in Inkscape
before 0.45.1 allows user-assisted remote attackers to execute arbitrary code
via unspecified vectors."

FC-6+ already at 0.45.1, FC-5 not yet.

Comment 1 Denis Leroy 2007-03-25 12:39:54 UTC
Thanks for the heads-up Villa, fixed.



Note You need to log in before you can comment on or make changes to this bug.